//--------------------------------------------------------------------

#include "Headers/SelectDef.H"

#if defined(__cplusplus)
#error This Program was designed to be compiled using C not C++.
#endif

#define TitleCaption "128Gamma - NetWorkDLS"
#define Version "Version 1.5 - Revision A"

#define ENCFlag "Encrypted~"
#define PACFlag "128Packed~"

#define VersionInfo 10000

//--------------------------------------------------------------------

FILE *Working_File, *CypherTemp_File, *EncryptTemp_File;

//--------------------------------------------------------------------

extern void SetText (HWND, char *);
extern void CenterWindow (HWND);
extern void RemoveFlag(char *);
extern void Error(char *);

extern char *CurDir (void);
extern char *GetText (HWND);
extern char *GetTempDirectory(void);
extern char *StringScan (char *, int, int);
extern char *CreateKey(void);

extern int WINAPI WinMain (HWND, HWND, LPSTR, int );
extern int PasswordDialog (HWND, int , int , int );
extern int AboutDialog (HWND, int , int , int );

extern int OpenFileDialog (HWND ,char *,char *,char *,char *,char *,int);

extern int IncodeMain(char *, char *);
extern int DecodeMain(char *, char *);
extern int EncryptProcess(void);
extern int DecryptProcess(void);

extern int ProcessInput(char *);

extern int CharInt (char *);
extern int CleanUp(int, int);
extern int Encrypted(char *);
extern int SetTempVariables(void);

extern int EnCode(char *, char *);
extern int DeCode(char *, char *);

extern short FileEmpty(char *);

//--------------------------------------------------------------------

static char CypherTemp[257];
static char EncryptTemp[257];
static char FileToChangeTemp[257];
static char PackBackupTemp[257];
static char F[256];
static char Header[11];
static char Temp[256];
static char Key[100];

static char *CodedKey;
static char *MethodFlag;

static char Char_Buffer;


static int LoopCount = 0;
static int End_Of_File = 0;

static short KeyLeinght = 0;
static short Encrypt = 0;
static short Decrypt = 0;
static short PackingFiles = 0;

//--------------------------------------------------------------------

static HWND hInstance = 0;
static HWND PasswordDialog_hWnd = 0;
static HWND AboutDialog_hWnd = 0;

static HWND PasswordEdit_hWnd = 0;
static HWND InfoTextStatic_hWnd = 0;

//--------------------------------------------------------------------
