////////////////////////////////////////////////////////////////////////

extern int PackFiles(char *TargetFileName)
{
	static char xDrive[7];
	static char xPath[257];
	static char CurrentDirectory_Temp[257];
	_splitpath(TargetFileName,xDrive,xPath,NULL,NULL);
	sprintf(CurrentDirectory_Temp,"%s%s",xDrive,xPath);

	PackingFiles = 1;

	if(SelectFiles(CurrentDirectory_Temp) == 0)  // Select Files Dialog
	{
		return 0;
	}

	Get_NumberOfFiles();

	if(Number_Of_Files < 2 || Number_Of_Files > 15 )
	{
		MessageBox (0, "When Packing Files You Must Select \r\n At Least 2 But No More Than 15 Files." , TitleCaption, 0 + MB_ICONASTERISK);
		return(0);
	}

	Get_FileSizes();

	//-----------------------------------

	static int FileCount;
	FileCount = 1;

	static int SentSize;
	SentSize = 0;

	static char Buffer[BufferSize+1];
	Buffer[0] = '\0';

	//-----------------------------------

	/* Open Target File */
	if((Target_File = fopen(TargetFileName,"wb")) == NULL)
	{
		Error("Could Not Open Target For Write. Error 21.");
		return 0;
	}

	Write_PackHeader();

	/* Open First File */
	if((Source_File = fopen(FilePathArray[FileCount],"rb")) == NULL)
	{
		Error("Could Not Open Source For Read. Error 22.");
		return 0;
	}
	//-----------------------------------

	while(1)	// Top Of Loop
	{
		do
			{
			Buffer[0] = '\0';
			SentSize = fread(Buffer,sizeof(char),BufferSize,Source_File);
			fwrite(Buffer,sizeof(char),SentSize,Target_File);
		}
		while(SentSize == BufferSize);

		if(SentSize != BufferSize)
		{
			FileCount++;
			if(Source_File)fclose(Source_File);

			/* If Out Of Files... End Loop */
			if(!FileArray[FileCount] && FileCount-1 == Number_Of_Files )
			{
				//printf("Done Writing Files!\n"); // Test Code
				break;
			}
			/* Open Next File */
			if((Source_File = fopen(FileArray[FileCount],"rb")) == NULL)
			{
				Error("Could Not Open Source For Read. Error 23.");
				return 0;
			}
		}
	}			// Bottom Of Loop


	//-----------------------------------

	if(Source_File)fclose(Source_File);
	if(Target_File)fclose(Target_File);

	//-----------------------------------

	return 1;
}

////////////////////////////////////////////////////////////////////////

extern void Write_PackHeader(void)
{
	static int LocalLoop;
	fprintf(Target_File,"%d|",Number_Of_Files);
	LocalLoop = 1;
	while(LocalLoop < Number_Of_Files+1)
	{
		fprintf(Target_File,"%d/",FileSizeArray[LocalLoop]);
		LocalLoop++;
	}
	fprintf(Target_File,"|");
	LocalLoop = 1;
	while(LocalLoop < Number_Of_Files+1)
	{
		fprintf(Target_File,"%s*",FileArray[LocalLoop]);
		LocalLoop++;
	}
	fprintf(Target_File,"|");
}

////////////////////////////////////////////////////////////////////////

extern void Get_NumberOfFiles(void)
{
	static int LocalLoop;
	LocalLoop = 0;
	while(FileArray[LocalLoop])
	{
		LocalLoop++;
	}
	Number_Of_Files = (LocalLoop - 1);
}

////////////////////////////////////////////////////////////////////////

extern void Get_FileSizes(void)
{
	static int LocalLoop;
	LocalLoop = 1;
	while(LocalLoop < Number_Of_Files+1)
	{
		FileSizeArray[LocalLoop] = FileSize(FileArray[LocalLoop]);
		LocalLoop++;
	}
}

////////////////////////////////////////////////////////////////////////

