[Setup]
 AppName=128Gamma Encryption
 AppVerName=128Gamma 1.5 A
 AppCopyright=Copyright  1995-2001 NetWorkDLS, Inc.
 DefaultDirName={pf}\128Gamma Encryption
 DefaultGroupName=NetWorkDLS
 UninstallDisplayIcon={app}\128Gamma.Exe
 AppMutex=128Gamma Encryption
 WizardImageFile=NetSetup.Bmp
 AdminPrivilegesRequired=yes
 MinVersion=4,3.51
 Uninstallable=Yes
 LicenseFile=128License.Txt
 CompressLevel = 9

[Files]
 Source: "128Gamma.Exe"; DestDir: "{app}"
 Source: "128Gamma.Chm"; DestDir: "{app}"

[Icons]
 Name: "{group}\128Gamma Help"; Filename: "{app}\128Gamma.Chm" 
 Name: "{group}\UnInstall 128Gamma"; Filename: "{app}\Unins000.exe" 

[Registry]
 ;-- Create 128Gamma Encryption Shell Extention
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption"; ValueType: string;  ValueData: "128Gamma Encryption"
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption\Command"; ValueType: string;  ValueData: "{app}\128Gamma.Exe %1"

 ;-- Create 128Gamma Encryption File Association
 Root: HKCR; Subkey: ".128"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: ".128"; ValueType: string;  ValueData: "128File"

 Root: HKCR; Subkey: "128File"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File"; ValueType: string;  ValueName: "NeverShowExt"; ValueData:""
 Root: HKCR; Subkey: "128File"; ValueType: string;  ValueData:"Encrypted Package"
 Root: HKCR; Subkey: "128File\Shell\Open\Command"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File\Shell\Open\Command"; ValueType: string;  ValueData:"{app}\128Gamma.Exe %1"

 ;-- Create 128Gamma Encryption "New File" Shell Extention
 Root: HKCR; Subkey: ".128\ShellNew"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: ".128\ShellNew"; ValueType: string;  ValueName: "NullFile"; ValueData:""

 ;-- Create 128Gamma Encryption DefaultIcon
 Root: HKCR; Subkey: "128File\DefaultIcon"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File\DefaultIcon"; ValueType: string;  ValueData:"{app}\128Gamma.Exe"

 ;-- Delete Old "Open With" Key
 Root: HKCR; Subkey: "Unknown\shell\openas\command"; Flags: deletekey;
 Root: HKCR; Subkey: "Unknown\shell\openas"; Flags: deletekey;

 ;-- Create New "Open With" Key
 Root: HKCR; Subkey: "*\Shell\openas\command";
 Root: HKCR; Subkey: "*\Shell\openas\command"; ValueType: string;  ValueData: "rundll32.exe shell32.dll,OpenAs_RunDLL %1"

 ;-- Set "Open With" Key To Default
 Root: HKCR; Subkey: "*\Shell"; ValueType: string;  ValueData: "openas"
